#include "conversationslistwidget.h"
#include "../helpers/conversationslisthelper.h"

ConversationsListWidget::ConversationsListWidget(QWidget *parent) :
    QWidget(parent)
{
    //Create conversations helper
    mConversationsList = new ConversationsListHelper(this);
    connect(mConversationsList, &ConversationsListHelper::onGotList, this, &ConversationsListWidget::onGotConversationsList);
}

ConversationsListWidget::~ConversationsListWidget()
{

}

void ConversationsListWidget::refresh()
{
    mConversationsList->getList();
}

void ConversationsListWidget::onGotConversationsList(bool success, const QList<Conversation> &list)
{
    qWarning("Got conversations list (or failure).");

    if(!success)
        qWarning("Failure.");
    else {
        for(Conversation conv : list){
            qWarning("Conv %d : %s", conv.iD(), conv.name().toStdString().c_str());
        }
    }
}
