#ifndef CONVERSATIONSLISTWIDGET_H
#define CONVERSATIONSLISTWIDGET_H

#include <QWidget>

#include "../data/conversation.h"

class ConversationsListHelper;

class ConversationsListWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ConversationsListWidget(QWidget *parent = nullptr);
    ~ConversationsListWidget();

    /**
     * Refresh the list of conversations of the user
     */
    void refresh();

private slots:

    /**
     * This slot is triggered once we have got a new list of conversations
     *
     * @param success TRUE for a success / FALSE else
     * @param list The list of conversation (empty list in case of failure)
     */
    void onGotConversationsList(bool success, const QList<Conversation> &list);

private:
    ConversationsListHelper *mConversationsList;
};

#endif // CONVERSATIONSLISTWIDGET_H
